<?php
/*
 +-------------------------------------------------------------------------+
 | Copyright (C) 2007 The Cacti Group                                      |
 |                                                                         |
 | This program is free software; you can redistribute it and/or           |
 | modify it under the terms of the GNU General Public License             |
 | as published by the Free Software Foundation; either version 2          |
 | of the License, or (at your option) any later version.                  |
 |                                                                         |
 | This program is distributed in the hope that it will be useful,         |
 | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
 | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           |
 | GNU General Public License for more details.                            |
 +-------------------------------------------------------------------------+
 | Cacti: The Complete RRDTool-based Graphing Solution                     |
 +-------------------------------------------------------------------------+
 | This code is designed, written, and maintained by the Cacti Group. See  |
 | about.php and/or the AUTHORS file for specific developer information.   |
 +-------------------------------------------------------------------------+
 | http://www.cacti.net/                                                   |
 +-------------------------------------------------------------------------+
*/

	chdir('../../');
	include_once("./include/auth.php");
	include_once($config['base_path'] . '/include/top_header.php');

	print '<br><br><center>';
	html_start_box("<strong>Host Information</strong>", "60%", $colors["header"], "3", "center", "");
	print "<tr><td><table width='100%'>";
	$bbcode = '[quote]';
	
// Cacti
	form_alternate_row_color($colors["alternate"],$colors["light"], 0);
	print "<td>Cacti Version</td><td>" . $config["cacti_version"] . "</td></tr>";
	$bbcode .= "[b]Cacti Version[/b] - " . $config["cacti_version"] . "\n";

// Plugin Architecture
	if (isset($plugin_architecture['version'])) {
		form_alternate_row_color($colors["alternate"],$colors["light"], 0);
		print "<td>Plugin Architecture</td><td>" . $plugin_architecture['version'] . "</td></tr>";
		$bbcode .= "[b]Plugin Architecture[/b] - " . $plugin_architecture['version'] . "\n";
	}

// Cactid or CMD.php
	$poller_type = read_config_option('poller_type');
	form_alternate_row_color($colors["alternate"],$colors["light"], 0);
	if ($poller_type == 2) {
		$path_cactid = read_config_option('path_cactid');
		$output = shell_exec ("$path_cactid -h");
		$output = trim(substr($output, 7, strpos($output, "Copyright") - 9));


		print "<td>Poller Type</td><td>Cactid v$output</td></tr>";
		$bbcode .= "[b]Poller Type[/b] - Cactid v$output\n";
	} else {
		print "<td>Poller Type</td><td>CMD.php</td></tr>";
		$bbcode .= "[b]Poller Type[/b] - CMD.php\n";
	}

// Server Info
	$serverinfo = php_uname('s');
	$serverinfo .= " " . php_uname('r');
	form_alternate_row_color($colors["alternate"],$colors["light"], 0);
	print "<td>Server Info</td><td>$serverinfo</td></tr>";
	$bbcode .= "[b]Server Info[/b] - $serverinfo\n";

// Web Server
	if (isset($_SERVER['SERVER_SOFTWARE'])) {
		$serverinfo = $_SERVER['SERVER_SOFTWARE'];
		form_alternate_row_color($colors["alternate"],$colors["light"], 0);
		print "<td>Web Server</td><td>$serverinfo</td></tr>";
		$bbcode .= "[b]Web Server[/b] - $serverinfo\n";
	}	

// PHP
	$phpv = phpversion();
	form_alternate_row_color($colors["alternate"],$colors["light"], 0);
	print "<td>PHP Version</td><td>$phpv</td></tr>";
	$bbcode .= "[b]PHP[/b] - $phpv\n";
/*
	$phpsafemode = ini_get('safe_mode');
	form_alternate_row_color($colors["alternate"],$colors["light"], 0);
	print "<td>PHP Safe Mode</td><td>" . ($phpsafemode ? "On" : "Off") . "</td></tr>";
	$bbcode .= "[b]PHP Safe Mode[/b] - " . ($phpsafemode ? "On" : "Off") . "\n";
*/
	form_alternate_row_color($colors["alternate"],$colors["light"], 0);
	$extensions = get_loaded_extensions();
	$string = '';
	foreach ($extensions as $e) {
		$string .= "$e, ";
	}
	$string = substr($string, 0, -2);
	print "<td valign=top>PHP Extensions</td><td>$string</td></tr>";
	$bbcode .= "[b]PHP Extensions[/b] - $string\n";

// MySQL
	$mysqlv = mysql_get_server_info();
	form_alternate_row_color($colors["alternate"],$colors["light"], 0);
	print "<td>MySQL Version</td><td>$mysqlv</td></tr>";
	$bbcode .= "[b]MySQL[/b] - $mysqlv\n";

// RRDTool
	$path_rrdtool = read_config_option('path_rrdtool');
	$output = shell_exec ("$path_rrdtool");
	$output = substr($output, 8, strpos($output, "Copyright") - 10);
	form_alternate_row_color($colors["alternate"],$colors["light"], 0);
	print "<td>RRDTool Version</td><td>$output</td></tr>";
	$bbcode .= "[b]RRDTool[/b] - $output\n";

// SNMP
	$path_snmpwalk = read_config_option('path_snmpwalk');
	$output = shell_exec ("$path_snmpwalk --version 2>&1");
	$output = trim(substr($output, strpos($output, ":")+2));
	form_alternate_row_color($colors["alternate"],$colors["light"], 0);
	print "<td>SNMP Version</td><td>$output</td></tr>";
	$bbcode .= "[b]SNMP[/b] - $output\n";

// Plugins
	form_alternate_row_color($colors["alternate"],$colors["light"], 0);
	print "<td valign=top>Plugins</td><td>";
	$bbcode .= "[b]Plugins[/b][list]";
	$c = count($plugins);
	$x = 0;
	foreach ($plugins as $p) {
		$f = "$p" . "_version";
		$x++;
		if (function_exists($f)) {
			$i = $f();
			print (isset($i['longname']) ? $i['longname'] . ' (' : '') . $i['name'] . ' - v' . $i['version'] . (isset($i['longname']) ? ')' : '');
			$bbcode .= (isset($i['longname']) ? $i['longname'] . ' (' : '') . $i['name'] . ' - v' . $i['version'] . (isset($i['longname']) ? ')' : '');
		} else {
			print $p;
			$bbcode .= $p;
		}
		if ($x < $c) {
			print '<br>';
			$bbcode .= "\n";
		}
	}

	print "</td></tr>";

	print "</table></td></tr>";
	html_end_box();

	$bbcode .= "[/list][/quote]";

	print "<font size=+1><strong>BBCode for Forum posts</strong></font><br><textarea cols=50 rows=10>$bbcode</textarea></center>";

	include("./include/bottom_footer.php");
