<?php
/*
 +-------------------------------------------------------------------------+
 | Copyright (C) 2007 The Cacti Group                                      |
 |                                                                         |
 | This program is free software; you can redistribute it and/or           |
 | modify it under the terms of the GNU General Public License             |
 | as published by the Free Software Foundation; either version 2          |
 | of the License, or (at your option) any later version.                  |
 |                                                                         |
 | This program is distributed in the hope that it will be useful,         |
 | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
 | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           |
 | GNU General Public License for more details.                            |
 +-------------------------------------------------------------------------+
 | Cacti: The Complete RRDTool-based Graphing Solution                     |
 +-------------------------------------------------------------------------+
 | This code is designed, written, and maintained by the Cacti Group. See  |
 | about.php and/or the AUTHORS file for specific developer information.   |
 +-------------------------------------------------------------------------+
 | http://www.cacti.net/                                                   |
 +-------------------------------------------------------------------------+
*/

function plugin_init_hostinfo() {
	global $plugin_hooks;
	$plugin_hooks['config_arrays']['hostinfo'] = 'hostinfo_config_arrays';
	$plugin_hooks['draw_navigation_text']['hostinfo'] = 'hostinfo_draw_navigation_text';
}

function hostinfo_version () {
	return array( 'name' 	=> 'hostinfo',
			'version' 	=> '0.2',
			'longname'	=> 'Host Info',
			'author'	=> 'Jimmy Conner',
			'homepage'	=> 'http://cactiusers.org',
			'email'	=> 'jimmy@sqmail.org',
			'url'		=> 'http://cactiusers.org/cacti/versions.php'
			);
}

function hostinfo_config_arrays () {
	global $user_auth_realms, $user_auth_realm_filenames, $menu;

	$user_auth_realms[69]='View Host Info';
	$user_auth_realm_filenames['hostinfo.php'] = 69;
	$temp = $menu["Utilities"]['logout.php'];
	unset($menu["Utilities"]['logout.php']);
	$menu["Utilities"]['plugins/hostinfo/hostinfo.php'] = "Host Info";
	$menu["Utilities"]['logout.php'] = $temp;
}

function hostinfo_draw_navigation_text ($nav) {
	$nav["hostinfo.php:"] = array("title" => "Host Info", "mapping" => "index.php:", "url" => "hostinfo.php", "level" => "1");
	$nav["hostinfo.php"] = array("title" => "Host Info", "mapping" => "hostinfo.php:", "url" => "hostinfo.php", "level" => "2");
	return $nav;
}

?>